@model IEnumerable<FERZid.Models.Program>

@{
    ViewData["Title"] = "Index";
}

<h2>Index</h2>

<p>
    <a asp-action="Create">Create New</a>
</p>
<table class="table">
    <thead>
        <tr>
                <th>
                    @Html.DisplayNameFor(model => model.ImePrograma)
                </th>
                <th>
                    @Html.DisplayNameFor(model => model.Trajanje)
                </th>
            <th>
                @Html.DisplayNameFor(model => model.IdTipaProgramaNavigation)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.ImePrograma)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Trajanje)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.IdTipaProgramaNavigation.NazivTipaPrograma)
            </td>
            <td>
                <a asp-action="Edit" asp-route-id="@item.IdPrograma">Edit</a> |
                <a asp-action="Details" asp-route-id="@item.IdPrograma">Details</a> |
                <a asp-action="Delete" asp-route-id="@item.IdPrograma">Delete</a>
            </td>
        </tr>
}
    </tbody>
</table>
